## org.hibernate.proxy.dom4j
Class Dom4jLazyInitializer

    java.lang.Object
      org.hibernate.proxy.AbstractLazyInitializer
          org.hibernate.proxy.dom4j.Dom4jLazyInitializer

All Implemented Interfaces:
  Serializable, LazyInitializer

    public class Dom4jLazyInitializer

extends AbstractLazyInitializer
implements Serializable

Lazy initializer for "dom4j" entity representations.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Method Summary
`org.dom4j.Element` `getElement()`
`Class` `getPersistentClass()` Get the actual class of the entity.

Methods inherited from class org.hibernate.proxy.AbstractLazyInitializer
`getEntityName, getIdentifier, getImplementation, getImplementation, getSession, getTarget, initialize, isConnectedToSession, isReadOnly, isReadOnlyBeforeAttachedToSession, isReadOnlySettingAvailable, isUninitialized, isUnwrap, setIdentifier, setImplementation, setReadOnly, setSession, setUnwrap, unsetSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getElement

    public org.dom4j.Element getElement()

### getPersistentClass

    public Class getPersistentClass()

  Description copied from interface: `LazyInitializer`
  Get the actual class of the entity. Generally, `LazyInitializer.getEntityName()` should be used instead.

  Specified by:
    `getPersistentClass` in interface `LazyInitializer`
  Returns:
    The actual entity class.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.